Skip to main content

collapse-column

Description​

Fires when collapsing/expanding a column

Usage​

"collapse-column": ({
id: string | number,
row?: number,
mode?: boolean,
eventSource?: string,
}) => boolean|void;

Parameters​

The callback of the action takes an object with the following parameters:

  • id - (required) the ID of a column that is collapsed
  • row - (optional) in case a header spans multiple rows, this parameter can be used to specify the ordinal number of a header row (starting from 0) to be collapsed
  • mode - (optional) if set to true, the column state is changed to collapsed; if false, expanded. If the mode value is not set, the column collapsing will work in the toggle mode (switch from collapsed to expanded)
  • eventSource - (optional) the name of the Grid action that triggered collapse-column

Returning false from the event handler will prevent collapsing/expanding columns.

Example​

The following example shows how to collapse a specific column (the first row of the "firstName" column's header) with the right-click using the api.exec() method:

import { useRef } from "react";
import { getData } from "./common/data";
import { Grid } from "@svar-ui/react-grid";
import { Button } from "@svar-ui/react-core";

export default function Example() {
const { data } = getData();

const columns = [
{ id: "id", width: 50, footer: { text: "All users", colspan: 4 } },
{
id: "firstName",
header: [
{
text: "Main client info",
colspan: 3,
collapsible: "first",
},
{ text: "First Name" },
],
width: 150,
},
{ id: "lastName", header: ["", "Last Name"] },
{ id: "email", header: ["", "Email"] },
];

const api = useRef(null);

const collapse = () => {
api.current?.exec("collapse-column", { id: "firstName", row: 0 });
};

return (
<>
<Button onClick={collapse} type="primary">Collapse</Button>

<Grid data={data} columns={columns} ref={api} />
</>
);
}

Related articles:

Skip to main content

collapse-column

Description​

Fires when collapsing/expanding a column

Usage​

"collapse-column": ({
id: string | number,
row?: number,
mode?: boolean,
eventSource?: string,
}) => boolean|void;

Parameters​

The callback of the action takes an object with the following parameters:

  • id - (required) the ID of a column that is collapsed
  • row - (optional) in case a header spans multiple rows, this parameter can be used to specify the ordinal number of a header row (starting from 0) to be collapsed
  • mode - (optional) if set to true, the column state is changed to collapsed; if false, expanded. If the mode value is not set, the column collapsing will work in the toggle mode (switch from collapsed to expanded)
  • eventSource - (optional) the name of the Grid action that triggered collapse-column

Returning false from the event handler will prevent collapsing/expanding columns.

Example​

The following example shows how to collapse a specific column (the first row of the "firstName" column's header) with the right-click using the api.exec() method:

<script setup>
import { getData } from "./common/data";
import { Grid } from "@svar-ui/vue-grid";
import { Button } from "@svar-ui/vue-core";
import { ref } from "vue";

const { data } = getData();

const columns = [
{ id: "id", width: 50, footer: { text: "All users", colspan: 4 } },
{
id: "firstName",
header: [
{
text: "Main client info",
colspan: 3,
collapsible: "first",
},
{ text: "First Name" },
],
width: 150,
},
{ id: "lastName", header:["", "Last Name"] },
{ id: "email", header:["", "Email"]}
];

const api = ref();

const collapse = () => {
api.value.exec("collapse-column", { id: "firstName", row: 0 });
};
</script>

<template>
<Button :onclick="collapse" type="primary">Collapse</Button>

<Grid :data="data" :columns="columns" ref="api" />
</template>

Related articles: